%define upstream_name    Task-Latemp
%define upstream_version 0.0100

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Specifications for modules needed by the Latemp CMS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Task/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Latemp::GenMakeHelpers)
BuildRequires: perl(HTML::Latemp::NavLinks::GenHtml::Text)
BuildRequires: perl(HTML::Latemp::News)
BuildRequires: perl(HTML::Widgets::NavMenu)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Template)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
Latemp ( the http://web-cpan.berlios.de/latemp/ manpage ) is a Content
Management System based on Web Meta Language. This module install all of
its required dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.10.0-5.mga9
+ Revision: 1817359
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-4.mga8
+ Revision: 1497269
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1271504
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-2.mga6
+ Revision: 1033808
- Rebuild for perl 5.22.2

* Wed Mar 23 2016 shlomif <shlomif> 0.10.0-1.mga6
+ Revision: 994318
- Importing perl-Task-Latemp


* Thu Aug 20 2009 cpan2dist 0.0100-1mdv
- initial mdv release, generated with cpan2dist
